
function handleMouseUp(event) {
  if (event) {
    let message = {
      timeStamp: Date.now(),
      type:      event.type
    };
    let send = false;

    if (event.button == 1) {
      message.button = event.button;
      send = true;
    };

    if (send) {
      browser.runtime.sendMessage(message);
    }
  }
}

window.addEventListener("mouseup", handleMouseUp, true);

let script = document.createElement('script');
script.src = browser.runtime.getURL('inject.js');
script.onload = (event) => { event.target.remove(); };

(document.head || document.documentElement).appendChild(script);
