
do {
  DBTAG = 'DualBlock: ';
  function wrap(target, wrapper) {
    return new Function('target', 'wrapper',
                        'return function ' + target.name
                        + '(' + Array(target.length).fill('p').map((e, i) => e + (i + 1)).join(', ') + ')'
                        + ' { return wrapper.call(this, target, ...arguments); }')(target, wrapper);
  }

  function wrappedWindowOpen(openFunction, url, target, windowFeatures) {
    console.log(DBTAG + 'Opening ' + target + ' window to ' + url + ' from ' + window.location.href);
    return openFunction.apply(this, [ url, target, windowFeatures ]);
  }

  function wrappedConsoleClear(clearFunction) {
    console.log(DBTAG + 'Attempt to programmatically clear the console from ' + window.location.href);
  }


  window.open = wrap(window.open, wrappedWindowOpen);
  console.clear = wrap(console.clear, wrappedConsoleClear);

} while (false);
